/*
 * New editor name:  tde, the Thomson-Davis Editor.
 * Author:           Frank Davis
 * Date:             June 5, 1991
 *
 * This modification of Douglas Thomson's code is released into the
 * public domain, Frank Davis.  You may distribute it freely.
 *
 * This is the info shown in the intro and popup help screen when F1 is pressed.
 */

char *credit_screen[] = {
"͸",
"                                                     ",
"             tde, the Thomson-Davis Editor           ",
"                     Version 1.1                     ",
"                                                     ",
"         This program is released into the           ",
"    public domain.  You may distribute it freely.    ",
"                                                     ",
";",
NULL
};


char *help_screen[] = {
"͸",
"                     ^ = Control    # = Shift    @ = Alt                      ",
"    Cursor Movement              Block commands            File commands      ",
"   Home  - begin of line      @B - mark box block            F2 - save        ",
"   End   - end of line        @L - mark line block           F3 - quit        ",
"   PGUP  - page up            @U - unmark block              F4 - file        ",
"   PGDN  - page down          @G - group delete block       #F2 - save as     ",
"  ^Right - word right         @M - move block               #F4 - edit file   ",
"  ^Left  - word left          @C - copy block                                 ",
"  ^Home  - top of screen      @K - kopy block             Other commands      ",
"  ^End   - bottom of screen   @O - overlay box block     ESC - undo line      ",
"  ^PGUP  - top of file        @P - print block           Del - delete char    ",
"  ^PGDN  - bottom of file     @W - write block to file   Tab - tab            ",
"  Gray - - scroll up          @E - block expand tabs     Ins - toggle insert  ",
"  Gray + - scroll down        @F - fill box block        @I  - toggle indent  ",
"  @Z     - jump (zip) to line                            @=  - dup line       ",
"                               Find/Replace commands     @-  - delete to eol  ",
"                             ^F5 - toggle search case    ^Y  - delete line    ",
"      Window Commands        #F5 - find forward          @D  - delete line    ",
"    F9  - split window       #F6 - find backward         @A  - add line       ",
"   #F9  - resize window       F5 - repeat find forward   @S  - split line     ",
"    F10 - next window         F6 - repeat find backward  @J  - join line      ",
"   #F10 - previous window    #F7 - replace forward       @T  - set tabs       ",
"   ^F10 - horizontal page 1  #F8 - replace backward      ^]  - paren balance  ",
";",
NULL
};





