
char *sample_screen[] = {
"͵ Sample Help Screen ͸ ͵ Sample Text Screen ͸",
"                                       File Header    Size = xxx    Line:Col",
" * Press Enter (Return) to move                                             ",
"   to the next color field.            Text area.  Regular text will be     ",
"                                       will be displayed in this color.     ",
" * The Up and Down arrows change                                            ",
"   the foreground color.               Block area.  Line and box blocks are ",
"                                       marked in this color.                ",
" * The Page up and Page down keys                                           ",
"   change the background color.        Warning Messages                     ",
"                                       Mode/Information         wrapped...  ",
"; ;",
NULL
};


char *field_screen[] = {
"                                        Help screen [   ]",
" F2 = Load default colors               File Header [   ] Warning Messages [   ]",
" F3 = Quit                              Text Area   [   ] Mode/Information [   ]",
"F10 = Write colors to tde.exe           Block Color [   ] wrapped...       [   ]",
NULL
};

struct {
   int line;
   int col;
   int color;
   void (*show_me)();
} fields[7] = {
   { 12, 52, 0 }, { 13, 52, 0 }, { 14, 52, 0 },  { 15, 52, 0 },
                  { 13, 75, 0 }, { 14, 75, 0 },  { 15, 75, 0 }
};


#define TRUE            1
#define FALSE           0


#define VIDEO_INT       0x10

#define HERC_REVERSE    0x70
#define HERC_UNDER      0x01
#define HERC_NORMAL     0x07
#define HERC_HIGH       0x0F

#define COLOR_HEAD      0x4b
#define COLOR_TEXT      0x07
#define COLOR_MODE      0x17
#define COLOR_BLOCK     0x7f
#define COLOR_MESSAGE   0x0f
#define COLOR_HELP      0x1A
#define COLOR_WRAP      0x1A


#define HEAD            0
#define TEXT            1
#define MODE            2
#define BLOCK           3
#define WARNING         4
#define HELP            5
#define WRAP            6

#define VGA             3
#define EGA             2
#define CGA             1
#define MDA             0

struct vcfg {
   int color;
   int rescan;
   int mode;
   int adapter;
   int far *videomem;
};


#define ESC             27
#define LEFT            (75 | 0x100)
#define RIGHT           (77 | 0x100)
#define UP              (72 | 0x100)
#define DOWN            (80 | 0x100)
#define RTURN           13
#define PGUP            (73 | 0x100)
#define PGDN            (81 | 0x100)
#define F1              (59 | 0x100)
#define F2              (60 | 0x100)
#define F3              (61 | 0x100)
#define F10             (68 | 0x100)
